#!/bin/bash

# This file will be included in docker 'rocketgit' Dockerfile

while [ 1 ]; do
	if [ "`ps ax|grep -v grep|grep http`" = "" ]; then
		echo "Running httpd..."
		httpd
		if [ "${?}" != "0" ]; then
			echo "ERROR: could not start httpd!"
		fi
	fi

	if [ "`ps ax|grep -v grep|grep cron`" = "" ]; then
		echo "Running cron..."
		crond
		if [ "${?}" != "0" ]; then
			echo "ERROR: could not start crond!"
		fi
	fi

	if [ "`ps ax|grep -v grep|grep sendmail`" = "" ]; then
		echo "Running sendmail..."
		/usr/sbin/sendmail -bd -q1h
		if [ "${?}" != "0" ]; then
			echo "ERROR: could not start sendmail!"
		fi
	fi

	if [ "`ps ax|grep -v grep|grep xinetd`" = "" ]; then
		echo "Running xinetd..."
		/usr/sbin/xinetd -stayalive -pidfile /var/run/xinetd.pid
		if [ "${?}" != "0" ]; then
			echo "ERROR: could not start xinetd!"
		fi
	fi

	sleep 30
done
